Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface MathTransform1D

All Superinterfaces:
  MathTransform

    @Extension
    public interface MathTransform1D

extends MathTransform

Transforms one-dimensional coordinate points. `CoordinateOperation.getMathTransform()` may returns instance of this interface when source and destination coordinate systems are both one dimensional. `MathTransform1D` extends `MathTransform` by adding a simple method transforming a value without the overhead of creating data array.

Since:
  GeoAPI 1.0

Method Summary
`double` | `derivative(double value)` Gets the derivative of this function at a value.
`double` | `transform(double value)` Transforms the specified value.

Methods inherited from interface MathTransform
`derivative, getSourceDimensions, getTargetDimensions, inverse, isIdentity, toWKT, transform, transform, transform`

Method Detail

### transform

    double transform(double value)
                     throws TransformException

  Transforms the specified value.

  Parameters:
    `value` - The value to transform.
  Returns:
    the transformed value.
  Throws:
    `TransformException` - if the value can't be transformed.

### derivative

    double derivative(double value)
                      throws TransformException

  Gets the derivative of this function at a value. The derivative is the 1×1 matrix of the non-translating portion of the approximate affine map at the value.

  Parameters:
    `value` - The value where to evaluate the derivative.
  Returns:
    The derivative at the specified point.
  Throws:
    `TransformException` - if the derivative can't be evaluated at the specified point.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.